<?php
/*
$Id: droit.class.php,v 1.1 2006-05-16 18:44:59 fgiva Exp $
*/
require_once ("formulaire.class.php");
require_once ("dbform.class.php");

class droit extends dbForm {

    var $table="droit";
    var $clePrimaire= "droit";
    var $typeCle= "A" ;


function droit($id,$db,$debug) {
$this->constructeur($id,$db,$debug);
} // fin constructeur

function setvalF($val){
$this->valF['profil'] = $val['profil'];
}

function verifier(){
$this->correct=True;
// obligatoire
if ($this->valF['profil']==""){
   $this->correct=false;
   $this->msg= $this->msg."<br>profil obligatoire";
}
}//verifier

// formulaire
function setType(&$form,$maj) {
if ($maj < 2) { //ajouter et modifier
  $form->setType('profil', 'select');
  if ($maj==1){ //modifier
     $form->setType('droit', 'hiddenstatic');
  }
}else{ // supprimer
     $form->setType('droit', 'hiddenstatic');
}}

function setTaille(&$form,$maj){
$form->setTaille('profil', 2);
$form->setTaille('droit', 30);
}
function setMax(&$form,$maj){
$form->setMax('profil', 2);
$form->setMax('droit', 30);
}
function setSelect(&$form, $maj,$db,$debug) {
include ("../dyn/connexion.php");
include ("../sql/".$dsn['phptype']."/".$this->table.".form.inc");
if($maj<2){
$res = $db->query($sql_profil);
if (DB :: isError($res))
     die($res->getMessage().$sql_profil);
else{
 if ($debug == 1)
   echo " la requete ".$sql_profil." est exécutée<br>";
   $contenu[0][0]="";
   $contenu[1][0]=" Choisir un profil ";
   $k=1;
   while ($row=& $res->fetchRow()){
    $contenu[0][$k]=$row[0];
    $contenu[1][$k]=$row[1];
    $k++;
   }
$form->setSelect("profil",$contenu);
}
} }
}// fin de classe
?>